aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron W. Swenson <titanofold@gentoo.org>2011-03-26 19:24:26 -0400
committerAaron W. Swenson <titanofold@gentoo.org>2011-03-26 19:24:26 -0400
commit022034478406b7d63aedf6d3505aa81ccc5c832e (patch)
tree84f5674dd8d8b08621b73fff419044cdf5eb8d57 /postgresql.init
parentAdded permiission checks. Changed ${VAR%/} to just ${VAR} because the latter is (diff)
downloadpatches-022034478406b7d63aedf6d3505aa81ccc5c832e.tar.gz
patches-022034478406b7d63aedf6d3505aa81ccc5c832e.tar.bz2
patches-022034478406b7d63aedf6d3505aa81ccc5c832e.zip
Beautified output a bit.
Diffstat (limited to 'postgresql.init')
-rw-r--r--postgresql.init8
1 files changed, 5 insertions, 3 deletions
diff --git a/postgresql.init b/postgresql.init
index c6c80a5..ffd6c55 100644
--- a/postgresql.init
+++ b/postgresql.init
@@ -37,12 +37,14 @@ checkconfig() {
local failed
for file in pg_hba pg_ident postgresql ; do
file="${PGDATA}/${file}.conf"
- su postgres -c "test -r ${file}" || failed=" ${file}
-${failed}"
+ su postgres -c "test -r ${file}" || failed="${file} ${failed}"
done
if [ -n "${failed}" ] ; then
eerror "The following file(s) are not readable by 'postgres':"
- eerror "${failed}"
+ local x
+ for x in ${failed} ; do
+ eerror " ${x}"
+ done
eerror "HINT: Try: 'chmod 644 ${PGDATA}/*.conf'"
return 1
fi